For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage sales

recent order list

get

List of recent order

Query parameters
limitintegerOptional
offsetintegerOptional
statusstringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got count. " or " Successfully got the complete order list.
get/vendor-order/recent-order-list
GET /vendor-order/recent-order-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got count. \" or \" Successfully got the complete order list."
}

Vendor order detail

get

Get detail of vendor order

Path parameters
vendorOrderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully shown the order Detail.
get/vendor-order/order-detail/{vendorOrderId}
GET /vendor-order/order-detail/{vendorOrderId} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully shown the order Detail."
}

Archive order detail

get

Get detail of vendor archive order.

Path parameters
vendorOrderArchiveIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully shown the archive order Detail.
get/vendor-order/archive-order-detail/{vendorOrderArchiveId}
GET /vendor-order/archive-order-detail/{vendorOrderArchiveId} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully shown the archive order Detail."
}

Today vendor order count

get

Get count of today vendor order

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get Today order count
get/vendor-order/today-vendor-order-count
GET /vendor-order/today-vendor-order-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Today order count"
}

Vendor order count

get

Get count of vendor order

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get Today order count
get/vendor-order/order-counts
GET /vendor-order/order-counts HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Today order count"
}

Delete vendor order

delete

Delete a vendor order

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Order Deleted Successfully
delete/vendor-order/delete-vendor-order/{id}
DELETE /vendor-order/delete-vendor-order/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Order Deleted Successfully"
}

Update vendor order status

put

Update a vendor order status

Path parameters
vendorOrderIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
subOrderStatusIdinteger · int32Optional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDateinteger · date-timeOptional
modifiedByinteger · int32Optional
modifiedDateinteger · date-timeOptional
vendorOrderIdinteger · int32Optional
subOrderIdstringOptional
vendorIdinteger · int32Optional
subOrderStatusIdinteger · int32Optional
orderProductIdinteger · int32Optional
orderIdinteger · int32Optional
totalstringOptional
commissioninteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
makeSettlementinteger · int32Optional
namestringOptional
put/vendor-order/update-order-status/{vendorOrderId}
PUT /vendor-order/update-order-status/{vendorOrderId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 22

"subOrderStatusId=1"
{
  "createdBy": 1,
  "createdDate": 1,
  "modifiedBy": 1,
  "modifiedDate": 1,
  "vendorOrderId": 1,
  "subOrderId": "text",
  "vendorId": 1,
  "subOrderStatusId": 1,
  "orderProductId": 1,
  "orderId": 1,
  "total": "text",
  "commission": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "makeSettlement": 1,
  "name": "text"
}

Vendor order status list

get

Vendor order status list

Query parameters
limitintegerOptional
offsetintegerOptional
orderStatusintegerOptional
keywordstringOptional
statusstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order status list.
get/vendor-order/vendor-order-status-list
GET /vendor-order/vendor-order-status-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete order status list."
}

Vendor orders based status list

get

Get list of vendor orders based status.

Query parameters
limitintegerOptional
offsetintegerOptional
vendorOrderLimitintegerOptional
vendorOrderOffsetintegerOptional
keywordstringOptional
statusintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order status list.
get/vendor-order/vendor-orders-based-status-list
GET /vendor-order/vendor-orders-based-status-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete order status list."
}

Vendor orders based status details

get

Get detail of vendor order based status.

Path parameters
orderStatusIdintegerRequired
Query parameters
limitintegerOptional
offsetintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor order count " or " Successfully got the vendor order details.
get/vendor-order/vendor-orders-based-status-details/{orderStatusId}
GET /vendor-order/vendor-orders-based-status-details/{orderStatusId} HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the vendor order count \" or \" Successfully got the vendor order details."
}

Vendor orders based status count

get

Get count of vendor based status

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
statusintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor order status count.
get/vendor-order/vendor-orders-based-status-count
GET /vendor-order/vendor-orders-based-status-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the vendor order status count."
}

Vendor log list

get

Get list of vendor log

Query parameters
vendorOrderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: vendorOrderId
get/vendor-order/vendorOrderLoglist
GET /vendor-order/vendorOrderLoglist?vendorOrderId=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "vendorOrderId"
}

Top selling product list

get

Get list of top selling product

Query parameters
durationstringRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get Top Selling Product..!
get/vendor-order/top-selling-productlist
GET /vendor-order/top-selling-productlist?duration=text HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Top Selling Product..!"
}

Update shipping information

post

Update shipping information

Header parameters
AuthorizationstringRequired
Body
vendorOrderIdinteger · int32Required
trackingUrlstringRequired
trackingNostringRequired
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
vendorOrderIdinteger · int32Optional
subOrderIdstringOptional
vendorIdinteger · int32Optional
subOrderStatusIdinteger · int32Optional
orderProductIdinteger · int32Optional
orderIdinteger · int32Optional
totalstringOptional
commissioninteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
makeSettlementinteger · int32Optional
post/vendor-order/update-shipping-information
POST /vendor-order/update-shipping-information  HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 60

"vendorOrderId=1&trackingUrl='text'&trackingNo='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "vendorOrderId": 1,
  "subOrderId": "text",
  "vendorId": 1,
  "subOrderStatusId": 1,
  "orderProductId": 1,
  "orderId": 1,
  "total": "text",
  "commission": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "makeSettlement": 1
}

Order export pdf

get

Order export pdf

Query parameters
vendorOrderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: pdf exported
get/vendor-order/order-export-pdf
GET /vendor-order/order-export-pdf?vendorOrderId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "pdf exported"
}

Make vendor order archive

post

Make vendor order archive

Header parameters
AuthorizationstringRequired
Body
vendorOrderIdinteger · int32Required
Responses
200

success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully revoked archived order
post/vendor-order/make-vendor-order-archive
POST /vendor-order/make-vendor-order-archive HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 19

"vendorOrderId=1"
{
  "status": 1,
  "message": "Successfully revoked archived order"
}

Revoke vendor order archive

post

Revoke the archive order of vendor

Header parameters
AuthorizationstringRequired
Body
vendorOrderArchiveIdinteger · int32Optional
Responses
200

success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully archived
post/vendor-order/revoke-vendor-order-archive
POST /vendor-order/revoke-vendor-order-archive HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 26

"vendorOrderArchiveId=1"
{
  "status": 1,
  "message": "Successfully archived"
}

Get list of vendor archive order

get

Get list of vendor archive order

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order archive list.
get/vendor-order/archive-order-list
GET /vendor-order/archive-order-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete order archive list."
}

archive-order-list-count

get

Get count of vendor order list

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order archive list count.
get/vendor-order/archive-order-list-count
GET /vendor-order/archive-order-list-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete order archive list count."
}

Vendor order list

get

Get list of vendor order list

Query parameters
limitintegerOptional
offsetintegerOptional
countintegerOptional
orderIdstringOptional
amountintegerOptional
orderStatusstringOptional
customerNamestringOptional
startDatestringOptional
endDatestringOptional
dateAddedstringOptional
deliverylistintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor orders count
get/vendor-order/order-list
GET /vendor-order/order-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the vendor orders count"
}

Bulk archive order export

get

Export the bulk archive order

Query parameters
vendorIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully archive order exported
get/vendor-order/bulk-archive-order-export
GET /vendor-order/bulk-archive-order-export?vendorId=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully archive order exported"
}

Archive order export

get

Export the archive order

Query parameters
vendorOrderArchiveIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid ArchiveId
get/vendor-order/archive-order-export
GET /vendor-order/archive-order-export?vendorOrderArchiveId=1 HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid ArchiveId"
}

Cancel order list

get

Get list of cancel order

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the cancel request count. " Successfully got the complete cancel order list.
get/vendor-order/cancel-order-list
GET /vendor-order/cancel-order-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the cancel request count. \" Successfully got the complete cancel order list."
}

Update vendor order cancel request

put

Update the vendor order cancel request

Path parameters
orderProductIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
cancelStatusIdinteger · int32Required
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderProductIdinteger · int32Optional
productIdinteger · int32Optional
orderProductPrefixIdstringOptional
orderIdinteger · int32Optional
namestringOptional
modelstringOptional
quantityinteger · int32Optional
productPricestringOptional
discountAmountstringOptional
basePricestringOptional
taxTypeinteger · int32Optional
taxValueinteger · int32Optional
totalstringOptional
discountedAmountinteger · int32Optional
orderStatusIdinteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
tracestringOptional
taxstringOptional
cancelRequestinteger · int32Optional
cancelRequestStatusinteger · int32Optional
cancelReasonstringOptional
cancelReasonDescriptionstringOptional
isActiveinteger · int32Optional
skuNamestringOptional
couponDiscountAmountstringOptional
put/vendor-order/update-vendor-order-cancel-request/{orderProductId}
PUT /vendor-order/update-vendor-order-cancel-request/{orderProductId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 20

"cancelStatusId=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderProductId": 1,
  "productId": 1,
  "orderProductPrefixId": "text",
  "orderId": 1,
  "name": "text",
  "model": "text",
  "quantity": 1,
  "productPrice": "text",
  "discountAmount": "text",
  "basePrice": "text",
  "taxType": 1,
  "taxValue": 1,
  "total": "text",
  "discountedAmount": 1,
  "orderStatusId": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "trace": "text",
  "tax": "text",
  "cancelRequest": 1,
  "cancelRequestStatus": 1,
  "cancelReason": "text",
  "cancelReasonDescription": "text",
  "isActive": 1,
  "skuName": "text",
  "couponDiscountAmount": "text"
}

Update bulk vendor order cancel request

get

Update bulk vendor order cancel request

Query parameters
cancelStatusIdintegerRequired
orderProductIdstringRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully updated the order cancel status.
get/vendor-order/update-bulk-vendor-order-cancel-request
GET /vendor-order/update-bulk-vendor-order-cancel-request?cancelStatusId=1&orderProductId=text HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully updated the order cancel status."
}

Vendor order cancel excel list

get

Get excel list of vendor order cancel

Query parameters
orderProductIdstringRequired
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid orderProductId
get/vendor-order/vendor-order-cancel-excel-list
GET /vendor-order/vendor-order-cancel-excel-list?orderProductId=text HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid orderProductId"
}

Bulk vendor order cancel excel list

get

Get excel list of cancel bulk vendor order

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the list
get/vendor-order/bulk-vendor-order-cancel-excel-list
GET /vendor-order/bulk-vendor-order-cancel-excel-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the list"
}

Vendor invoice list

get

Get list of vendor invoice

Query parameters
limitintegerOptional
offsetintegerOptional
startDatestringOptional
endDatestringOptional
keywordstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the cancel request count. " or " Successfully got the vendor invoice list.
get/vendor-order/vendor-invoice-list
GET /vendor-order/vendor-invoice-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the cancel request count. \" or \" Successfully got the vendor invoice list."
}

Order invoice export pdf

get

Export pdf of order invoice

Query parameters
orderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: pdf exported
get/vendor-order/order-invoice-export-pdf
GET /vendor-order/order-invoice-export-pdf?orderId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "pdf exported"
}

Salse report list

get

Get list of salse report

Query parameters
limitintegerOptional
offsetintegerOptional
startDatestringOptional
endDatestringOptional
productIdstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got vendor sales count. " or " Successfully got vendor sales list.
get/vendor-order/sales-report-list
GET /vendor-order/sales-report-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got vendor sales count. \" or \" Successfully got vendor sales list."
}

Sales report export list

get

Get list of sales report export

Query parameters
limitintegerOptional
offsetintegerOptional
startDatestringOptional
endDatestringOptional
productIdstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get the list of sales report export
get/vendor-order/sales-report-export-list
GET /vendor-order/sales-report-export-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get the list of sales report export"
}

Order invoice export send email pdf

post

Order invoice export send email pdf

Query parameters
orderIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

application/json
statusintegerOptional
messagestringOptionalDefault: Mail sent to you
post/vendor-order/order-invoice-export-send-email-pdf
POST /vendor-order/order-invoice-export-send-email-pdf HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Mail sent to you"
}

Back order list

get

Get list of back order

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get Count. " or " Successfully shown the Back Order list.
get/vendor-order/back-order-list
GET /vendor-order/back-order-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully get Count. \" or \" Successfully shown the Back Order list."
}

Vendor failed order list

get

Get list of vendor failed order

Query parameters
limitintegerOptional
offsetintegerOptional
startDatestringOptional
endDatestringOptional
keywordstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the cancel request count. " or " Successfully got the vendor failed Order list.
get/vendor-order/vendor-failed-order-list
GET /vendor-order/vendor-failed-order-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the cancel request count. \" or \" Successfully got the vendor failed Order list."
}

Bulk back order excel list

get

Get excel list of bulk back order

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: file is empty
get/vendor-order/bulk-back-order-excel-list
GET /vendor-order/bulk-back-order-excel-list HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "file is empty"
}

Back order excel list

get

Back order excel list

Query parameters
orderProductIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: file is empty
get/vendor-order/back-order-excel-list
GET /vendor-order/back-order-excel-list HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "file is empty"
}

Failed order excel list

get

Failed order excel list

Query parameters
orderIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get the failed order excel list
get/vendor-order/failed-order-excel-list
GET /vendor-order/failed-order-excel-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get the failed order excel list"
}

Bulk failed order excel list

get

Bulk failed order excel list

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully get the bulk failed order excel list
get/vendor-order/bulk-failed-order-excel-list
GET /vendor-order/bulk-failed-order-excel-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get the bulk failed order excel list"
}

Vendor order status list based on parent

get

Vendor order status list based on parent

Query parameters
limitintegerOptional
offsetintegerOptional
parentIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got order status list based on parent.
get/vendor-order/vendor-order-status-list-based-on-parent
GET /vendor-order/vendor-order-status-list-based-on-parent HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got order status list based on parent."
}

Vendor payment list

get

List of vendor payment

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete payment list.
get/vendor-sales/payment-list
GET /vendor-sales/payment-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete payment list."
}

Vendor payment list count

get

Count of vendor payment

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete payment list count.
get/vendor-sales/payment-list-count
GET /vendor-sales/payment-list-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete payment list count."
}

Sales list export

get

List of vendor sales list

Query parameters
vendorIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: No data found
get/vendor-sales/sales-export
GET /vendor-sales/sales-export HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "No data found"
}

Vendor payment counts

get

Get count for vendor payment

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get Today order count
get/vendor-sales/payment-counts
GET /vendor-sales/payment-counts HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Today order count"
}

Vendor sales export

get

Get excel export of vendor sales

Query parameters
vendorIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: No data found
get/vendor-sales/vendor-sales-export
GET /vendor-sales/vendor-sales-export HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "No data found"
}

Make vendor archive payment

post

Make vendor archive payment

Header parameters
AuthorizationstringRequired
Body
vendorPaymentIdinteger · int32Optional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully archived your payments
post/vendor-sales/make-vendor-payment-archive
POST /vendor-sales/make-vendor-payment-archive HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 21

"vendorPaymentId=1"
{
  "status": 1,
  "message": "Successfully archived your payments"
}

Archive payment list

get

Get list of archive payment

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete payment list.
get/vendor-sales/archive-payment-list
GET /vendor-sales/archive-payment-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete payment list."
}

Archive payment list count

get

Get count list of archive payment

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
startDatestringOptional
endDatestringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete payment list count.
get/vendor-sales/archive-payment-list-count
GET /vendor-sales/archive-payment-list-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete payment list count."
}

Bulk archive payment export

get

Bulk archive payment export

Query parameters
vendorIdintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get bulk archive payment export
get/vendor-sales/bulk-archive-payment-export
GET /vendor-sales/bulk-archive-payment-export HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get bulk archive payment export"
}

Archive payment export

get

Get archive payment export

Query parameters
vendorPaymentArchiveIdintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid ArchiveId
get/vendor-sales/archive-payment-export
GET /vendor-sales/archive-payment-export HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid ArchiveId"
}

Last updated